# MdiClient

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [MdiClient](/api/wisej.web/containers/form/wisej.web.mdiclient.md)

Represents the container for multiple-document interface (MDI) child forms.

{% tabs %}
{% tab title="C#" %}

```csharp
public class MdiClient : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class MdiClient
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) MdiClient(owner)

Initializes a new instance of [MdiClient](/api/wisej.web/containers/form/wisej.web.mdiclient.md).

| Name      | Type                                      | Description                                                   |
| --------- | ----------------------------------------- | ------------------------------------------------------------- |
| **owner** | [Form](/api/wisej.web/containers/form.md) | The MdiParent form using this container to host its children. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ActiveMdiChild

[Form](/api/wisej.web/containers/form.md): Returns the currently active multiple-document interface (MDI) child window.

### ![](/files/hsR4ok3152WyAf8J2C1u) MdiChildren

[Form\[\]](/api/wisej.web/containers/form.md): Returns the child multiple-document interface (MDI) forms of the [MdiClient](/api/wisej.web/containers/form/wisej.web.mdiclient.md) control.

### ![](/files/hsR4ok3152WyAf8J2C1u) TabControl

[TabControl](/api/wisej.web/containers/tabcontrol.md): Returns the internal TabControl.

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnLeave(e)

| Parameter | Type                                                                | Description |
| --------- | ------------------------------------------------------------------- | ----------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) |             |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/form/wisej.web.mdiclient.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
